Bug Hunting Session
Bug 96125 - FORMATTING: Writer paragraph text-to-text alignment doesn't work
Summary: FORMATTING: Writer paragraph text-to-text alignment doesn't work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.2.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0.1 target:5.0.5 target:5...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-11-29 07:54 UTC by jmxhyz
Modified: 2016-10-25 19:11 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot about text-to-text alignment bug (41.01 KB, image/png)
2015-11-29 07:54 UTC, jmxhyz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jmxhyz 2015-11-29 07:54:53 UTC
Created attachment 120864 [details]
Screenshot about text-to-text alignment bug

Steps to reproduce:

LibreOffice Version: 5.1.0.0.beta1+

1. Open Writer, put some text in the document.
2. Select part of the text, and increase font size.
3. Click menu: Format > Paragraph... > Alignment. 
4. Set "Text-to-text" alignment to "top". Press 'OK' button to confirm.
5. No change, the setting doesn't work. (See the attachment)

Also reproduce in LO 5.0.2.2
Comment 1 V Stuart Foote 2015-11-29 21:12:36 UTC
Confirming. 

However, the text cursor does adjust to the Paragraph Text-to-Text alignment setting.  So, it is *just* the text layout during composition that is not being placed correctly.

Not sure about on Linux, but for me on Windows this worked through

Version: 5.0.1.2
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: en-US (en_US)

but is bad by

Version: 5.0.2.1
Build ID: 9a18d52abbdfbdc2ac9acebec2b92e7859eb73b7
Locale: en-US (en_US)

Making the Uniscribe layout work on Windows http://cgit.freedesktop.org/libreoffice/core/commit/?id=1927a743755d8b3b55189b02a031b8cf90ba25ec suspect, but not clear when it was reworked for other layout engines. Bibisect(s) would be helpful here.
Comment 2 raal 2015-12-01 19:18:05 UTC
This seems to have begun at the below commit.
Adding Cc: to Mark Hung ; Could you possibly take a look at this one?
Thanks

36f88ec987230e4ad5413a382562e52dc7027fb2 is the first bad commit
commit 36f88ec987230e4ad5413a382562e52dc7027fb2
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Tue Aug 25 09:55:34 2015 -0700

    source sha:b14861e1dfb9f83d26d6032ae96b664845528f2a

    source sha:b14861e1dfb9f83d26d6032ae96b664845528f2a

author	Mark Hung <marklh9@gmail.com>	2015-08-01 14:48:39 (GMT)
committer	Norbert Thiebaud <nthiebaud@gmail.com>	2015-08-25 11:58:06 (GMT)
commit	b14861e1dfb9f83d26d6032ae96b664845528f2a (patch)
Fix tdf#77514 CJK ruby text in RTL( vertical ) base line issue.
Comment 3 Mark Hung 2015-12-04 05:57:22 UTC
I've submitted changes to master and other branches, to revert b14861e1dfb9f83d26d6032ae96b664845528f2a that tried to fix tdf#77514.
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:14:23 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2015-12-15 14:37:48 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6b9d0e2f3508d8ac52f46a7aacec2e3043fec8e&h=libreoffice-5-1

tdf#96125 Fix broken Writer paragraph text-to-text alignment feature.

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-12-15 14:39:50 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=307fcbf0ad716244210b4da75bbc947f1d5e26de&h=libreoffice-5-0

tdf#96125 Fix broken Writer paragraph text-to-text alignment feature.

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-12-15 14:41:48 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b71814f180bcefad6dcb3ff02c42b3cb31315bc5

tdf#96125 Fix broken Writer paragraph text-to-text alignment feature.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.